turtles-own [group-number group-member choice payoff network-list neighbor-payoff neighbor future-choice old-payoff old-choice peak S1 S2 S3]
globals [grpmem connection group-payoff-list group-peak-list max-peak average-payoff q temp-group-peak-num random-conn1 random-conn2 random-conn3 extra-connections extra-connections-list extra-connections-list-num winner-group-peak winner-group-payoff ave-individual-peak over-time-peaks]

to setup
__clear-all-and-reset-ticks

resize-world 0 (number-of-groups - 1) 0 0 
let s 1
while [s < 101]
[ let e1 exp (-1 * (b1 * (s - c1)) ^ 2) 
  let e2 exp (-1 * (b2 * (s - c2)) ^ 2) 
  let e3 exp (-1 * (b3 * (s - c3)) ^ 2) 
  set average-payoff (average-payoff + (a1 * e1) + (a2 * e2) + (a3 * e3))
  set s (s + 1)]
set average-payoff (average-payoff / 100)
set temp-group-peak-num 0
set ave-individual-peak 0
set over-time-peaks n-values number-of-rounds [0]
set group-payoff-list n-values number-of-groups [0]
set group-peak-list n-values number-of-groups [0]
set winner-group-peak 0

ifelse a1 >= a2
  [ifelse a1 >= a3 [set max-peak c1] [set max-peak c3]]
  [ifelse a2 >= a3 [set max-peak c2] [set max-peak c3]]
  
let i 1
while [i < (number-of-groups + 1)] 
[
  let j 1 
  while [j < (group-size + 1)]
  [crt 1
    [set color yellow
      set choice 0
      set peak 0
      set old-choice 0
      set payoff 0
      set old-payoff 0
      set future-choice 0
      set S1 1
      set S2 1
      set S3 1
      set neighbor nobody
      set neighbor-payoff n-values group-size [0] 
      set group-number i
      set group-member j
      set network-list n-values group-size [0]
    if network = "full" [set network-list n-values group-size [1]]
    if network = "no-connections" []
    set network-list replace-item (group-member - 1) network-list 1
      ]
      set j (j + 1)]
  set i (i + 1)]

    ifelse 0.3 * group-size - int (0.3 * group-size) = 0
    [set extra-connections 0.3 * group-size]  
    [set extra-connections (int (0.3 * group-size) + 1)]
    
    
    set extra-connections-list n-values extra-connections [0]
    set extra-connections-list-num n-values group-size [0]
    
    let a 1
    while [a < (group-size + 1)]
    [set extra-connections-list-num replace-item (a - 1) extra-connections-list-num a
     set a (a + 1)]
     
    let k 0
    while [k < extra-connections]
    [let random-conn one-of extra-connections-list-num
     set extra-connections-list-num remove random-conn extra-connections-list-num
     set extra-connections-list replace-item k extra-connections-list random-conn
      set k (k + 1)]
 
   if network = "random"
   [ let h 0
     while [h < (group-size + extra-connections)]
     [let connector ((random group-size) + 1)
    let acceptor ((random group-size) + 1)
    ask turtles with [group-member = connector]
    [while [item (acceptor - 1) network-list = 1]
     [set acceptor ((random group-size) + 1)]
     set network-list replace-item (acceptor - 1) network-list 1]
    ask turtles with [group-member = acceptor]
    [set network-list replace-item (connector - 1) network-list 1]
    set h (h + 1)
    ]]
    
 
   if network = "small-world" 
   [ask turtles
    [let y 1
    while [y < (number-of-groups + 1)] 
    [
    let z 1 
    while [z < (group-size + 1)]
    [if ((group-number = y) and (group-member = z))
      [ ifelse z = group-size
        [set network-list replace-item 0 network-list 1]
        [set network-list replace-item z network-list 1]
        ifelse z = 1
        [set network-list replace-item (group-size - 1) network-list 1]
        [set network-list replace-item (z - 2) network-list 1]
      set network-list (replace-item (group-member - 1) network-list 1)]
    set z (z + 1)]
    set y (y + 1)]] ;; make connections with neighbors
 
      
      let b 0
      while [b < extra-connections]
      [let random-partner one-of extra-connections-list-num
       ask turtles with [group-member = (item b extra-connections-list)]
       [while [item (random-partner - 1) network-list = 1]
         [set random-partner one-of extra-connections-list-num]
       set network-list replace-item (random-partner - 1) network-list 1
       ask turtles with [group-member = random-partner]
       [set network-list replace-item ([group-member] of myself - 1) network-list 1]]
        set extra-connections-list-num remove random-partner extra-connections-list-num
        set b (b + 1)]   
       ]
   
   if network = "lattice"  
     [ask turtles
    [let y 1
    while [y < (number-of-groups + 1)] 
    [
    let z 1 
    while [z < (group-size + 1)]
    [if ((group-number = y) and (group-member = z))
      [ ifelse z = group-size
        [set network-list replace-item 0 network-list 1]
        [set network-list replace-item z network-list 1]
        ifelse z = 1
        [set network-list replace-item (group-size - 1) network-list 1]
        [set network-list replace-item (z - 2) network-list 1]
      set network-list (replace-item (group-member - 1) network-list 1)]
    set z (z + 1)]
    set y (y + 1)]] ;; make connections with neighbors
 
  let b 0
      while [b < extra-connections]
      [ask turtles with [group-member = (item b extra-connections-list)]
      [if (group-member = group-size) 
          [set network-list replace-item 1 network-list 1
            ask turtles with [group-member = 2]
            [set network-list replace-item ([group-member] of myself - 1) network-list 1]
            ]
         if (group-member = (group-size - 1))
          [set network-list replace-item 0 network-list 1
            ask turtles with [group-member = 1]
            [set network-list replace-item ([group-member] of myself - 1) network-list 1]
            ]
         if (group-member <= (group-size - 2))
          [set network-list replace-item (group-member + 1) network-list 1
           ask turtles with [group-member = ([group-member] of myself + 2)]
            [set network-list replace-item ([group-member] of myself - 1) network-list 1]
            ]]
      
        set b (b + 1)]   
       ]
 
 
ask turtles 
[let l 1
 while [l < (number-of-groups + 1)]
 [setxy (group-number - 1) 1
  set l (l + 1)]
  
 let m 1
 let n 1
 while [m < (group-size + 1)]
 [if group-member = m
  [while [n < (group-size + 1)]
   [ask turtles with [(group-number = [group-number] of myself) and (group-member = n)]
   [set grpmem item (m - 1) network-list]
   set network-list (replace-item (n - 1) network-list grpmem)
  set n (n + 1)]]
  set m (m + 1)] 
  
  ]
end

to go 
      clean-up-group-parameters
    let p 0
    while [p < number-of-iterations]
    [set q 0
     clean-up-parameters
    while [q < number-of-rounds]
    [
      ifelse (q = 0) [make-choice][make-choice-with-info]
      obtain-peak 
      aggregate-peakers
      obtain-neighbor-info
      compare-payoffs
      aggregate-payoffs
      initialize-parameters
      do-realtime-plot
      set over-time-peaks replace-item q over-time-peaks ave-individual-peak
      set q (q + 1)
    ]
    set p (p + 1)
    ]
   ;; ifelse group-selection-by-payoff? 
   ;;[group-selection-payoff]
   ;;[group-selection-peak]
 
     set winner-group-peak (one-of group-peak-list / (group-size * number-of-rounds * number-of-iterations))
     ;;show over-time-peaks
     do-plot
    ;; mutation
 tick
end

to make-choice
ask turtles [set choice (random 100 + 1)
let e1 exp (-1 * (b1 * (choice - c1)) ^ 2) 
let e2 exp (-1 * (b2 * (choice - c2)) ^ 2) 
let e3 exp (-1 * (b3 * (choice - c3)) ^ 2) 
set payoff (((a1 * e1) + (a2 * e2) + (a3 * e3)) + (random-normal 0 noise))
set S1 (payoff)
set S3 (payoff)]
end

to make-choice-with-info
ask turtles 
[
  set choice future-choice
  let sum-Ds ((D1 * S1) + (D2 * S2) + (D3 * S3))
  let random-num random-float 100
  ifelse ((((D1 * S1) + (D2 * S2)) / sum-Ds) * 100) < random-num
  [random-guess]
  [ifelse (((D1 * S1) / sum-Ds) * 100) > random-num
   [self-exploit]
   [conformity]]
   ]
end

to random-guess
set choice (random 100 + 1)
let e1 exp (-1 * (b1 * (choice - c1)) ^ 2) 
let e2 exp (-1 * (b2 * (choice - c2)) ^ 2) 
let e3 exp (-1 * (b3 * (choice - c3)) ^ 2) 
set payoff (((a1 * e1) + (a2 * e2) + (a3 * e3)) + (random-normal 0 noise))
set S3 payoff
end

to self-exploit
set choice (round (old-choice + random-normal 0 tremble))
if choice < 0
[set choice 0]
let e1 exp (-1 * (b1 * (choice - c1)) ^ 2) 
let e2 exp (-1 * (b2 * (choice - c2)) ^ 2) 
let e3 exp (-1 * (b3 * (choice - c3)) ^ 2) 
set payoff (((a1 * e1) + (a2 * e2) + (a3 * e3)) + (random-normal 0 noise))
set S1 payoff
end

to conformity
if sum network-list > 1
[set choice (round (future-choice + random-normal 0 tremble))
if choice < 0
[set choice 0]
let e1 exp (-1 * (b1 * (choice - c1)) ^ 2) 
let e2 exp (-1 * (b2 * (choice - c2)) ^ 2) 
let e3 exp (-1 * (b3 * (choice - c3)) ^ 2) 
set payoff (((a1 * e1) + (a2 * e2) + (a3 * e3)) + (random-normal 0 noise))
set S2 payoff]
end

to obtain-peak
ask turtles 
[if choice < (max-peak + 8)
 [if choice > (max-peak - 8)
 [set peak 1]]]

end


to obtain-neighbor-info
ask turtles 
[if sum network-list > 1
 [let y 1
 while [y < (group-size + 1)]
 [set neighbor one-of turtles with [(group-number = [group-number] of myself) and (group-member = y)]
  ask neighbor
  [set connection item ([group-member] of myself - 1) network-list]
 if (connection = 1)
 [set neighbor-payoff (replace-item (y - 1) neighbor-payoff ([payoff] of neighbor))] 
  set neighbor-payoff (sentence neighbor-payoff)
 set y (y + 1)]
 ]]
end

to compare-payoffs
ask turtles
[if sum network-list > 1
[let maxpayoff max neighbor-payoff
 let position-maxpayoff position maxpayoff neighbor-payoff
 
 ifelse maxpayoff = payoff
 [set future-choice choice
  let neighbor-payoff-list sort-by [?1 > ?2] neighbor-payoff
  set S2 item 1 neighbor-payoff-list]
 [let max-payoff-person one-of turtles with [(group-number = [group-number] of myself) and (group-member = (position-maxpayoff + 1))]
  set future-choice [choice] of max-payoff-person
  set S2 maxpayoff]
]]
end

to aggregate-payoffs
let p 0
while [p < number-of-groups]
[let current-group-payoff sum [payoff] of turtles with [group-number = (p + 1)]
 let solo-group-payoff item p group-payoff-list
 set group-payoff-list (replace-item p group-payoff-list (current-group-payoff + solo-group-payoff))
 set p (p + 1)
 ]
end

to aggregate-peakers
let p 0
while [p < number-of-groups]
[let current-group-maxpeakers (sum [peak] of turtles with [group-number = (p + 1)])
 set temp-group-peak-num (temp-group-peak-num + current-group-maxpeakers)
 let solo-group-maxpeakers item p group-peak-list
 set group-peak-list (replace-item p group-peak-list (current-group-maxpeakers + solo-group-maxpeakers))
 set p (p + 1)
 ]
end


to initialize-parameters
ask turtles
[set old-choice choice
 set old-payoff payoff
 set choice 0
 set payoff 0
 set peak 0
 if S1 <= 1 [set S1 1]
 if S2 <= 1 [set S2 1]
 if S3 <= 1 [set S3 1]
set neighbor-payoff n-values group-size [0]
set neighbor nobody 
]

end


to group-selection-payoff
ask turtles [set color yellow]
let max-group-payoff max group-payoff-list
let min-group-payoff min group-payoff-list

set winner-group-payoff (one-of group-payoff-list / (group-size * number-of-rounds * number-of-iterations)) 

let position-max-group-payoff position max-group-payoff group-payoff-list
let position-min-group-payoff position min-group-payoff group-payoff-list

ask turtles with [group-number = (position-min-group-payoff + 1)]
[die]
ask turtles with [group-number = (position-max-group-payoff + 1)]
[hatch 1 
[set group-number (position-min-group-payoff + 1)
 setxy (group-number - 1) 1
 set color green]]
end

to group-selection-peak
ask turtles [set color yellow]
let max-group-peak max group-peak-list
let min-group-peak min group-peak-list

set winner-group-peak (one-of group-peak-list / (group-size * number-of-rounds * number-of-iterations))
;;show group-peak-list
end

to do-plot
set-current-plot "ave group payoff"
set-current-plot-pen "ave-group-payoff"
let ave-ind-performance ((sum group-payoff-list) / (number-of-groups * group-size * number-of-rounds * number-of-iterations))
plot ave-ind-performance

set-current-plot "ave group peak"
set-current-plot-pen "ave-group-peak"
let ave-ind-peak ((sum group-peak-list) / (number-of-groups * group-size * number-of-rounds * number-of-iterations))
plot ave-ind-peak
end

to do-realtime-plot
set-current-plot "ave group peak real time"
set-current-plot-pen "ave-goup-peak-realtime"
set ave-individual-peak (temp-group-peak-num / (number-of-groups * group-size))
plot ave-individual-peak
set temp-group-peak-num 0
if q = (number-of-rounds - 1)
[clear-plot]
end

to clean-up-group-parameters
set group-payoff-list n-values number-of-groups [0]
set group-peak-list n-values number-of-groups [0]

end


to clean-up-parameters
ask turtles
 [set choice 0
 set old-choice 0
 set payoff 0
 set old-payoff 0
 set future-choice 0
 set S1 1
 set S2 1
 set S3 1
 set neighbor nobody]
 set over-time-peaks n-values number-of-rounds [0]
end

to set-winner's-peaks
end

to mutation
ask turtles
[let w 0
 while [w < group-size]
 [if mutation-rate > random-float 100
  [set network-list replace-item w network-list random 2]
  set w (w + 1)]
 ]
 
 ask turtles 
[let l 1
 while [l < (group-size + 1)]
 [setxy (group-number - 1) 1
  set l (l + 1)]
 set network-list (replace-item (group-member - 1) network-list 1) 
 
 let m 1
 let n 1
 while [m < (group-size + 1)]
 [if group-member = m
  [while [n < (group-size + 1)]
   [ask turtles with [(group-number = [group-number] of myself) and (group-member = n)]
   [set grpmem item (m - 1) network-list]
   set network-list (replace-item (n - 1) network-list grpmem)
  set n (n + 1)]]
  set m (m + 1)] 
  ]
end
@#$#@#$#@
GRAPHICS-WINDOW
305
10
550
206
0
0
165.0
1
1
1
1
1
0
1
1
1
0
0
0
0
0
0
1
ticks
30.0

BUTTON
79
80
142
113
NIL
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
78
34
144
67
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

PLOT
872
322
1072
472
ave group payoff
NIL
NIL
0.0
10.0
0.0
50.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" ""
"ave-group-payoff" 1.0 0 -16777216 true "" ""

SLIDER
87
210
259
243
a1
a1
0
100
40
1
1
NIL
HORIZONTAL

SLIDER
87
253
259
286
a2
a2
0
100
40
1
1
NIL
HORIZONTAL

SLIDER
88
292
260
325
a3
a3
0
100
50
1
1
NIL
HORIZONTAL

SLIDER
274
209
446
242
b1
b1
0
1
0.07
0.01
1
NIL
HORIZONTAL

SLIDER
273
249
445
282
b2
b2
0
1
0.07
0.01
1
NIL
HORIZONTAL

SLIDER
277
293
449
326
b3
b3
0
1
0.07
0.01
1
NIL
HORIZONTAL

SLIDER
458
209
630
242
c1
c1
0
100
20
1
1
NIL
HORIZONTAL

SLIDER
461
248
633
281
c2
c2
0
100
45
1
1
NIL
HORIZONTAL

SLIDER
462
288
634
321
c3
c3
0
100
70
1
1
NIL
HORIZONTAL

TEXTBOX
98
331
513
443
a: highest of a maximum payoff\nb: inverse of variance around a maximum payoff\nc: location of a maximum \nnote: if a2=a3=0, unimodal function\n         if a3=0, bimodal
11
0.0
1

SLIDER
651
209
823
242
D1
D1
0
20
10
1
1
NIL
HORIZONTAL

SLIDER
652
249
824
282
D2
D2
0
20
10
1
1
NIL
HORIZONTAL

SLIDER
652
289
824
322
D3
D3
0
20
1
1
1
NIL
HORIZONTAL

PLOT
792
480
1074
675
ave group peak
NIL
Proportion (%)
0.0
10.0
0.0
1.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" ""
"ave-group-peak" 1.0 0 -16777216 true "" ""

SWITCH
871
207
1102
240
group-selection-by-payoff?
group-selection-by-payoff?
1
1
-1000

TEXTBOX
877
253
1128
309
On: group selection by payoff\nOff: group slection by peak proportion
11
0.0
1

SLIDER
90
424
262
457
noise
noise
0
50
10
1
1
NIL
HORIZONTAL

SLIDER
89
469
261
502
tremble
tremble
0
5
3
1
1
NIL
HORIZONTAL

SLIDER
295
422
467
455
group-size
group-size
0
100
10
1
1
NIL
HORIZONTAL

PLOT
499
459
786
678
ave group peak real time
round
agents at the global max
0.0
15.0
0.0
1.0
true
false
"" ""
PENS
"ave-goup-peak-realtime" 1.0 0 -16777216 true "" ""

CHOOSER
868
147
1016
192
network
network
"full" "no-connections" "random" "small-world" "lattice"
2

SLIDER
295
463
468
496
number-of-groups
number-of-groups
0
100
1
1
1
NIL
HORIZONTAL

SLIDER
91
532
264
565
number-of-rounds
number-of-rounds
0
500
15
1
1
NIL
HORIZONTAL

SLIDER
93
570
267
603
number-of-iterations
number-of-iterations
0
10
1
1
1
NIL
HORIZONTAL

SLIDER
78
134
250
167
mutation-rate
mutation-rate
0
10
0
1
1
NIL
HORIZONTAL

@#$#@#$#@
## WHAT IS IT?

This section could give a general understanding of what the model is trying to show or explain.

## HOW IT WORKS

This section could explain what rules the agents use to create the overall behavior of the model.

## HOW TO USE IT

This section could explain how to use the model, including a description of each of the items in the interface tab.

## THINGS TO NOTICE

This section could give some ideas of things for the user to notice while running the model.

## THINGS TO TRY

This section could give some ideas of things for the user to try to do (move sliders, switches, etc.) with the model.

## EXTENDING THE MODEL

This section could give some ideas of things to add or change in the procedures tab to make the model more complicated, detailed, accurate, etc.

## NETLOGO FEATURES

This section could point out any especially interesting or unusual features of NetLogo that the model makes use of, particularly in the Procedures tab.  It might also point out places where workarounds were needed because of missing features.

## RELATED MODELS

This section could give the names of models in the NetLogo Models Library or elsewhere which are of related interest.

## CREDITS AND REFERENCES

This section could contain a reference to the model's URL on the web if it has one, as well as any other necessary credits or references.
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.1.0
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="experiment" repetitions="1" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="10"/>
    <metric>[network-list] of turtles with [color = green]</metric>
    <enumeratedValueSet variable="c2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="90"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="5"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="1" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [color = green]</metric>
    <enumeratedValueSet variable="c2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="90"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="5"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="1" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [color = green]</metric>
    <enumeratedValueSet variable="c2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="5"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <enumeratedValueSet variable="b3">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <enumeratedValueSet variable="b3">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <enumeratedValueSet variable="b3">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="90"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="5" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="300"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="75"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="75"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="3" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="300"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="75"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="30"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="75"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="30"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="5" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="65"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="5" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="55"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="85"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="40"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="5" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="10"/>
      <value value="25"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="5" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="65"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="unimodal" repetitions="5" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="65"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="one peak" repetitions="1" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go</go>
    <metric>count turtles</metric>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="65"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="trimodal" repetitions="5" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="trimodal" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="75"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="25"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="trimodal" repetitions="3" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="75"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="25"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="lowdisturb" repetitions="5" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 15)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 15)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="false"/>
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="5" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 15)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 15)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="74"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="5" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="false"/>
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="true"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="5" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="25"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="75"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="false"/>
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="3"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="3" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[S1] of turtles with [(color = green) and (group-member = 15)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[S2] of turtles with [(color = green) and (group-member = 15)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[S3] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="c1">
      <value value="13"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="trimodalNew" repetitions="5" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 11)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 12)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 13)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 14)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 15)]</metric>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="80"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="random-network?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="fully-connected?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="trimodal" repetitions="50" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>(sum (group-peak-list)) / (20 * group-size * 15)</metric>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
      <value value="&quot;no-connections&quot;"/>
      <value value="&quot;random&quot;"/>
      <value value="&quot;small-world&quot;"/>
      <value value="&quot;lattice&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>(sum (group-peak-list)) / (20 * group-size * 15)</metric>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;small-world&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>(sum (group-peak-list)) / (20 * group-size * 15)</metric>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="36"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="85"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="60"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>(sum (group-peak-list)) / (20 * group-size * 15)</metric>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="83"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="32"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="disturbance-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.9"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
      <value value="&quot;no-connections&quot;"/>
      <value value="&quot;random&quot;"/>
      <value value="&quot;small-world&quot;"/>
      <value value="&quot;lattice&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="200" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>(sum group-peak-list) / (number-of-groups * group-size * number-of-rounds * number-of-iterations)</metric>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
      <value value="&quot;small-world&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="200" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>(sum group-peak-list) / (number-of-groups * group-size * number-of-rounds * number-of-iterations)</metric>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="26"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="67"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="25"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;lattice&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.9"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="200" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>(sum group-peak-list) / (number-of-groups * group-size * number-of-rounds * number-of-iterations)</metric>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="83"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="32"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="25"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;lattice&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.9"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="case 2" repetitions="200" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>(sum group-peak-list) / (number-of-groups * group-size * number-of-rounds * number-of-iterations)</metric>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="78"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="17"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
      <value value="&quot;no-connections&quot;"/>
      <value value="&quot;random&quot;"/>
      <value value="&quot;small-world&quot;"/>
      <value value="&quot;lattice&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.9"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="200" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>(sum group-peak-list) / (number-of-groups * group-size * number-of-rounds * number-of-iterations)</metric>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
      <value value="&quot;no-connections&quot;"/>
      <value value="&quot;random&quot;"/>
      <value value="&quot;small-world&quot;"/>
      <value value="&quot;lattice&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="case 1" repetitions="200" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>(sum group-peak-list) / (number-of-groups * group-size * number-of-rounds * number-of-iterations)</metric>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="60"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
      <value value="50"/>
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
      <value value="&quot;no-connections&quot;"/>
      <value value="&quot;random&quot;"/>
      <value value="&quot;small-world&quot;"/>
      <value value="&quot;lattice&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="needle_GA" repetitions="20" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1000"/>
    <metric>winner-group-peak</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;no-connections&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="67"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.9"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="200" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>winner-group-peak</metric>
    <metric>over-time-peaks</metric>
    <enumeratedValueSet variable="number-of-groups">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
      <value value="&quot;small-world&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="90"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="Unimodal_noRandomChoice" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="3000"/>
    <metric>winner-group-peak</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;no-connections&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="60"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="3000"/>
    <metric>winner-group-peak</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;no-connections&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="3000"/>
    <metric>winner-group-payoff</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.9"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;no-connections&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="67"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="26"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="3000"/>
    <metric>winner-group-payoff</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;no-connections&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="60"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="10" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="3000"/>
    <metric>winner-group-payoff</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 1)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 2)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 3)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 4)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 5)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 6)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 7)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 8)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 9)]</metric>
    <metric>[network-list] of turtles with [(color = green) and (group-member = 10)]</metric>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;no-connections&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="DiffNoise" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>(sum group-peak-list) / (number-of-groups * group-size * number-of-rounds * number-of-iterations)</metric>
    <enumeratedValueSet variable="c2">
      <value value="45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <steppedValueSet variable="noise" first="0" step="1" last="15"/>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
      <value value="&quot;small-world&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>winner-group-peak</metric>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="60"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="1" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go</go>
    <metric>winner-group-peak</metric>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="60"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>winner-group-peak</metric>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
      <value value="&quot;small-world&quot;"/>
      <value value="&quot;lattice&quot;"/>
      <value value="&quot;random&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="60"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="0"/>
      <value value="5"/>
      <value value="10"/>
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="trimodal" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>winner-group-peak</metric>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
      <value value="&quot;small-world&quot;"/>
      <value value="&quot;lattice&quot;"/>
      <value value="&quot;random&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="0"/>
      <value value="5"/>
      <value value="10"/>
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="200" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>winner-group-peak</metric>
    <metric>over-time-peaks</metric>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="60"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
      <value value="&quot;small-world&quot;"/>
      <value value="&quot;random&quot;"/>
      <value value="&quot;lattice&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="0"/>
      <value value="5"/>
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="500" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="1"/>
    <metric>winner-group-peak</metric>
    <metric>over-time-peaks</metric>
    <enumeratedValueSet variable="number-of-iterations">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-selection-by-payoff?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D3">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D1">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="D2">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a2">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c2">
      <value value="45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="group-size">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-groups">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a1">
      <value value="40"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c1">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mutation-rate">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b1">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tremble">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="c3">
      <value value="70"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b3">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="a3">
      <value value="50"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-rounds">
      <value value="15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="network">
      <value value="&quot;full&quot;"/>
      <value value="&quot;small-world&quot;"/>
      <value value="&quot;lattice&quot;"/>
      <value value="&quot;random&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="b2">
      <value value="0.07"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="noise">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
</experiments>
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
